clang 8.0.0

Public Member Functions | List of all members
clang::CodeGen::CoverageMappingModuleGen Class Reference

Organizes the cross-function state that is used while generating code coverage mapping data. More...

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/CodeGen/CoverageMappingGen.h"`

## Public Member Functions
| CoverageMappingModuleGen (CodeGenModule &CGM, CoverageSourceInfo &SourceInfo)
CoverageSourceInfo & | getSourceInfo () const
void | addFunctionMappingRecord (llvm::GlobalVariable *FunctionName, StringRef FunctionNameValue, uint64_t FunctionHash, const std::string &CoverageMapping, bool IsUsed=true)
| Add a function's coverage mapping record to the collection of the function mapping records. More...
void | emit ()
| Emit the coverage mapping data for a translation unit. More...
unsigned | getFileID (const FileEntry *File)
| Return the coverage mapping translation unit file id for the given file. More...

## Detailed Description

Organizes the cross-function state that is used while generating code coverage mapping data.

Definition at line 50 of file CoverageMappingGen.h.

## Constructor & Destructor Documentation

## ◆ CoverageMappingModuleGen()

clang::CodeGen::CoverageMappingModuleGen::CoverageMappingModuleGen | ( | CodeGenModule & | CGM,
|  | CoverageSourceInfo & | SourceInfo
| ) |  |
| inline

Definition at line 60 of file CoverageMappingGen.h.

## Member Function Documentation

## ◆ addFunctionMappingRecord()

void CoverageMappingModuleGen::addFunctionMappingRecord | ( | llvm::GlobalVariable * | FunctionName,
|  | StringRef | FunctionNameValue,
|  | uint64_t | FunctionHash,
|  | const std::string & | CoverageMapping,
|  | bool | IsUsed = `true`
| ) |  |

Add a function's coverage mapping record to the collection of the function mapping records.

Definition at line 1321 of file CoverageMappingGen.cpp.

References dump(), and clang::CodeGen::Type.

## ◆ emit()

void CoverageMappingModuleGen::emit | ( |  | ) |

Emit the coverage mapping data for a translation unit.

Definition at line 1372 of file CoverageMappingGen.cpp.

References clang::InternalLinkage, and clang::CodeGen::Type.

## ◆ getFileID()

unsigned CoverageMappingModuleGen::getFileID | ( | const FileEntry * | File | ) |

Return the coverage mapping translation unit file id for the given file.

Definition at line 1454 of file CoverageMappingGen.cpp.

## ◆ getSourceInfo()

CoverageSourceInfo& clang::CodeGen::CoverageMappingModuleGen::getSourceInfo | ( |  | ) | const
| inline

Definition at line 63 of file CoverageMappingGen.h.

The documentation for this class was generated from the following files:

- lib/CodeGen/CoverageMappingGen.h
- lib/CodeGen/CoverageMappingGen.cpp